不知道神队友是怎么把这个问题搞出来的,总之就是装caffe的matlab接口应该是升级或者降级了gcc?做了个软链接,然后matlab崩了,机器也死机了,重启后直接界面都打不开了。。。

在机器上是没法搞了,远程过去结果发现apt都用不了了,报了下面几个错误,要是不能装卸东西,这还怎么修。。
apt: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not
found need by xxx
网上 /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21’ not
found 这个问题都要被写烂了,但是大部分吧还是江湖郎中,搜了二三十个page都没把这个问题解决,烦的一笔。

把有用的信息凑一凑,应该能搞定。
首先先查看/usr/lib/x86_64-linux-gnu/libstdc++.so.6这个库的信息
strings /usr/lib/x86_64-linux-gnu/libstdc++.so.6 | grep GLIBCXX
出来一大堆东西我就不贴了,可以看到确实没有GLIBCXX_3.4.21(这不废话么)。

这个时候我搜到一些”解决方案“让我 sudo apt-get install libstdc++6,我特么。。。
还有让 conda install libgcc的,结果发现神队友把conda环境也搞完完犊子了。。。
神队友说不行了,重装吧。我特么。。。拖鞋过去

做个狠人,那么既然他没有,我就找个有的,换一下不就完了么。
全系统搜啊:
sudo find / -name "libstdc++.so.6*"
这个时候还是会出来一大堆,还是不贴了,可以找到很多库;现在需要你去确认眼神,然后遇到对的库搞一下
strings 确认过眼神的对的/libstdc++.so.6 | grep GLIBCXX
找到有GLIBCXX_3.4.21的库,ll查看它链接的具体库文件
ll 确认过眼神的对的/libstdc++.so.6
比如我的是/opt/anaconda3/lib/libstdc++.so.6.0.24
(这个都支持到GLIBCXX_3.4.24了),接着只要把这个库libstdc++.so.6.0.24拷贝到apt报错的路径/usr/lib/x86_64-linux-gnu/,然后删除/usr/lib/x86_64-linux-gnu/libstdc++.so.6这个软链接,重新再给建立一个链接到libstdc++.so.6.0.24这个库上。
sudo cp /opt/anaconda3/lib/libstdc++.so.6.0.24 /usr/lib/x86_64-linux-gnu sudo
rm /usr/lib/x86_64-linux-gnu/libstdc++.so.6 sudo ln -s
/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.24
/usr/lib/x86_64-linux-gnu/libstdc++.so.6
稳了。

技术
©2020 ioDraw All rights reserved
一个学生关于鸿蒙系统的一些看法今天你抱怨了吗?JS基础重点知识实验总结(全)OpenCV之IplImage详解数据分析之交叉分析特朗普的"VIP疗法":正接受一种尚未获批的药物治疗大数据环境---数据仓库(hive+mysql+hadoop)的构建少儿编程孩子的学习路线网络安全第五讲 网络攻击技术分析网上赚钱的门路方法,大部分人都是利用这三种方法!